diff -urpNX dontdiff linux-2.5.47/drivers/mtd/ftl.c linux-2.5.47-pci/drivers/mtd/ftl.c
--- linux-2.5.47/drivers/mtd/ftl.c	2002-11-14 10:52:11.000000000 -0500
+++ linux-2.5.47-pci/drivers/mtd/ftl.c	2002-11-16 21:36:42.000000000 -0500
@@ -841,7 +841,7 @@ static int ftl_open(struct inode *inode,
 		return -EROFS;
 	}
     
-	DEBUG(0, "ftl_cs: ftl_open(%s)\n", inode->i_bdev->b_disk->disk_name);
+	DEBUG(0, "ftl_cs: ftl_open(%s)\n", inode->i_bdev->bd_disk->disk_name);
 
 	atomic_inc(&partition->open);
 
@@ -855,7 +855,7 @@ static release_t ftl_close(struct inode 
 	partition_t *part = inode->i_bdev->bd_disk->private_data;
 	int i;
     
-	DEBUG(0, "ftl_cs: ftl_close(%s)\n", inode->i_bdev->b_disk->disk_name);
+	DEBUG(0, "ftl_cs: ftl_close(%s)\n", inode->i_bdev->bd_disk->disk_name);
 
 	/* Wait for any pending erase operations to complete */
 	if (part->mtd->sync)
diff -urpNX dontdiff linux-2.5.47/drivers/mtd/nftlcore.c linux-2.5.47-pci/drivers/mtd/nftlcore.c
--- linux-2.5.47/drivers/mtd/nftlcore.c	2002-10-31 11:23:22.000000000 -0500
+++ linux-2.5.47-pci/drivers/mtd/nftlcore.c	2002-11-16 21:43:29.000000000 -0500
@@ -863,7 +863,9 @@ void nftl_request(struct request_queue *
 
 static struct gendisk *nftl_probe(dev_t dev, int *part, void *data)
 {
+#ifdef CONFIG_KMOD
 	request_module("docprobe");
+#endif
 	return NULL;
 }
 
diff -urpNX dontdiff linux-2.5.47/include/linux/mtd/flashchip.h linux-2.5.47-pci/include/linux/mtd/flashchip.h
--- linux-2.5.47/include/linux/mtd/flashchip.h	2002-10-01 03:07:36.000000000 -0400
+++ linux-2.5.47-pci/include/linux/mtd/flashchip.h	2002-11-16 21:21:17.000000000 -0500
@@ -17,7 +17,8 @@
  * happens to be in - so we don't have to care whether we're on 2.2, which
  * has asm/spinlock.h, or 2.4, which has linux/spinlock.h 
  */
-#include <linux/sched.h>
+#include <linux/spinlock.h>
+#include <linux/wait.h>
 
 typedef enum { 
 	FL_READY,
diff -urpNX dontdiff linux-2.5.47/include/linux/mtd/nand.h linux-2.5.47-pci/include/linux/mtd/nand.h
--- linux-2.5.47/include/linux/mtd/nand.h	2002-10-01 03:07:36.000000000 -0400
+++ linux-2.5.47-pci/include/linux/mtd/nand.h	2002-11-16 21:17:45.000000000 -0500
@@ -28,7 +28,10 @@
 #define __LINUX_MTD_NAND_H
 
 #include <linux/config.h>
-#include <linux/sched.h>
+#include <linux/spinlock.h>
+#include <linux/types.h>
+#include <linux/wait.h>
+#include <linux/mtd/mtd.h>
 
 /*
  * Searches for a NAND device
